/*
 * Created on 30.11.2005
 */
package de.unikassel.ir.vsr;

import java.util.List;

/**
 * Gewicht eines Terms in Bezug auf ein Dokument; wird sortiert in Reihenfolge
 * <em>absteigender</em> Gewichte!
 * 
 * @author Christoph Schmitz
 */
public interface TokenOccurrence extends Comparable<TokenOccurrence> {

	/**
	 * @return das Dokument
	 */
	public abstract Document getDocument();

	/**
	 * @return das Gewicht
	 */
	public abstract double getWeight();

	/**
	 * @return String-Repräsentation dieses Gewichts
	 */
	public abstract String toString();
	
	/**
	 * 
	 * @return die Positionen, an denen der Term vorkommt, aufsteigend 
	 * sortiert und ab 0 gezählt.
	 */
	public abstract List<Integer> getPositions();

}